API Reference

Create File Context Source

Creating a new file context source requires a name and a file, everything else is optional. The context source will be created along with its first version, which becomes the context source's primary version by default.

Maximum file size is 50 MB.

Endpoint
POST https://api.zatomic.ai/v1/context/sources/file

Endpoint Request

Request Properties
name
string
Name of the context source.
file
multipart/form-data
The file to be uploaded for the context source.
description
string, optional
Description for the context source.
version_name
string, optional
Name for the context source version.
Request Body
curl -X POST "https://api.zatomic.ai/v1/context/sources/file" \
   -F "name=Employee Handbook" \
   -F "file=employee-handbook.pdf" \
   -F "description=Current employee policies and procedures" \
   -F "version_name=2026 Handbook"

Endpoint Response

A successful call returns a 201 status code with a response that contains the context source object.

HTTP Status Codes
201 Created The context source was created.
400 Bad Request The name was not provided in the request.
400 Bad Request The file was not provided in the request.
400 Bad Request The file size was greater than 100 MB.
400 Bad Request The file type was not allowed.
403 Forbidden Credit limit has been reached.
500 Internal Server Error Something went wrong on Zatomic's end.